<?php
/**
* Plugin Name: 	DSL Plugin
* Description:	This plugin is used to store some test-data from the DSL
* Author:	PEMA
*/


function pema_dsl_activate() {

	$role = get_role('instructor');
	$role->add_cap('pema_view_dsl');

	$role = get_role('administrator');
	$role->add_cap('pema_view_dsl');
}
register_activation_hook(__FILE__, 'pema_dsl_activate');

function pema_dsl_register() {
	add_menu_page(
		'DSL',     			// page title
		'DSL Table',   			// menu title
		'pema_view_dsl',     		// capability
		'pema_view_dsl',       	// menu slug
		'pema_view_dsl', 			// callback function
		'dashicons-admin-network'			// Icon
	);
}
add_action('admin_menu', 'pema_dsl_register');


function pema_view_dsl() {
	global $title;
	?>
	<div id="pema-view-dsl-wrapper">
		<div id="pema-view-dsl-title">
			<h1><?php echo esc_html($title); ?></h1>
			<br>
		</div>	
		<table id="pema-view-dsl-table">
			<th>Some</th>
			<th>Header</th>
			<th>Names</th>
			<th>That</th>
			<th>Will</th>
			<th>Go</th>
			<th>Here</th>

		</table>

	</div>

	<?php
}