jQuery(document).ready(function($){

	/* ------------ PLED API ------------ */

	/*$('.pema-json-checkbox').on('change', function(){										//When a checkbox is either checked or unchecked (i.e., something changes with the checboxes)

		$('#pema-json-select option').hide();												//Hide all options
		var check = true;																	//Set a boolean

		var platformFilter = [];															//Array for storing all platforms
		var typeFilter = [];																//Array for storing all types
		var helpArr = [];																	//Helper array used for matching types and platforms	

		$('input[type="checkbox"]:checked').each(function(){								//For all checkboxes that are checked

			if($(this).attr('name') ==  'pema-json-platform') {								//If the name is 'pema-json-platform'
				platformFilter.push($(this).val());											//Add the value in the corresponding array
			}
			else if($(this).attr('name') == 'pema-json-type') {								//If the name is 'pema-json-type'
				typeFilter.push($(this).val());												//Add the value in the corresponding array
			}

			check = false;																	//Set bool to false
		});

		if(check) {																			//If bool is true (i.e., no checkboxes are checked)
			$('#pema-json-select option').not("#pema-json-select-option-disabled").hide();	//Hide all values except first option
		}
		else {																				//Else
			if(platformFilter.length === 0) {												//If platformFilter array is empty
				typeFilter.forEach(function(item){											//Go through the typeFilter array
					$('#pema-json-select > option').each(function(){						//Go through every option in the select statement
						if(item == $(this).data('type')) {									//If any option match the item in the array
							$(this).show();													//Show the option
						}
					});
				});
			}
			else {
				platformFilter.forEach(function(item){										//Go through the platformFilter array
					$('#pema-json-select > option').each(function(){						//Go through every option in the select statement
						if(item == $(this).data('platform')) {								//If any option match the item in the array
							helpArr.push($(this));											//Push the entire option html to the helper array
						}
					});
				});
			}
			if(typeFilter.length === 0) {													//If typeFilter array is empty
				helpArr.forEach(function(item){												//Go through the helper array
					item.show();															//Show option
				});
			}
			else {
				typeFilter.forEach(function(item){											//Go through the typeFilter array
					helpArr.forEach(function(item2) {										//Go through the helper array
						if(item == item2.data('type')) {									//If item in typeFilter match with the data-type in helper array
							item2.show();													//Show the option
						}
					});
				});
			}
		}
	});*/


	$('input:radio[name="pema-create-task-api-answer"]').change(function(){
		if ($(this).val() == 'yes') {
			$('#pema-create-task-api-add').show();
		}
		else {
			$('#pema-create-task-api-add').hide();
		}
	});

	$('#pema-manage-tasks-for-lab-filter-submit').on('click', function(){					//On filter button click
		$('#pema-json-select option').not('option[value="notremove"]').remove();			//Remove every option that does not have value "notremove"

		var platformFilter;																	//Set variables
		var typeFilter;																		
		$('input[type="radio"]:checked').each(function(){									//Foreach radio button that is checked
			if($(this).attr('name') ==  'pema-json-platform') {								//If the name is 'pema-json-platform'
				platformFilter = $(this).val();												//Set variable to be the value of checked radio
			}
			else if($(this).attr('name') == 'pema-json-type') {								//If the name is 'pema-json-type'
				typeFilter = $(this).val();													//Set variable to be the value of checked radio
			}
		});

		$.ajax({											//Ajax request
			url: ajax_params.ajaxurl,						//Set ajaxurl
			type: 'post',									//Type is post
			data: {											//Data attributes
				type : typeFilter,							//Send type
				platform : platformFilter,					//Send platform
				security : ajax_params.ajax_nonce,			//Send the nonce
				action: 'pema_api_request'					//Run this function
			},
			error: function(error, response) {						//If ajax error
				console.log(error);
				console.log(response);						//Log response to console
			},
			success: function(data) {						//If ajax success
				//console.log("success");
				$.each(data.resource, function(index, message){		//Foreach response, run function with index and message
					//console.log(v.application_name);
					$('#pema-json-select').append('<option>'+message.application_name+'</option>');	//Append option to the select
				});
			}
		});
	});
});